---
sidebar_position: 1
description: Create field and other functions to work with Airtable in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Airtable]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Create field
 Creates a new field in the table



`Function CreateField(Val Token, Val Base, Val Table, Val FieldStructure) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Token |
  | Base | --base | String | &#x2714; | Base identifier |
  | Table | --table | String | &#x2714; | Table identifier |
  | FieldStructure | --fielddata | Structure Of KeyAndValue | &#x2714; | Description of the new field |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Airtable



```bsl title="1C:Enterprise/OneScript code example"
    Token = "patNn4BXW66Yx3pdj.5b93c53cab554a8387de02d...";
    Base  = "appFSHDVzJPNC6HRO";
    Table = "tblJkLJDo8Oijuksc";
    Name  = String(New UUID);

    Field  = OPI_Airtable.GetNumberField(Name);
    Result = OPI_Airtable.CreateField(Token, Base, Table, Field);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            # JSON data can also be passed as a path to a .json file
            
            oint airtable CreateField \
             --token "***" \
             --base "app5EEUGKC7EHLcyz" \
             --table "tbl9MIP7k60xewSuH" \
             --fielddata "{'name':'841da7b6-ff43-48a7-9eb8-9b615690fea9','type':'number','options':{'precision':'0'}}"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            :: JSON data can also be passed as a path to a .json file
            
            oint airtable CreateField ^
             --token "***" ^
             --base "app5EEUGKC7EHLcyz" ^
             --table "tbl9MIP7k60xewSuH" ^
             --fielddata "{'name':'841da7b6-ff43-48a7-9eb8-9b615690fea9','type':'number','options':{'precision':'0'}}"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "type": "number",
 "options": {
  "precision": 0
 },
 "id": "fld2SklLg9ufthkPQ",
 "name": "841da7b6-ff43-48a7-9eb8-9b615690fea9"
}
```
